/**
 * Execute a Selenium atom in Safari
 *
 * @this {RemoteDebugger}
 * @param {string} atom Name of Selenium atom (see atoms/ directory)
 * @param {any[]} args Arguments passed to the atom
 * @param {string[]} frames
 * @returns {Promise<any>} The result received from the atom
 */
export function executeAtom(this: import("../remote-debugger").RemoteDebugger, atom: string, args?: any[], frames?: string[]): Promise<any>;
/**
 * @this {RemoteDebugger}
 * @param {string} atom
 * @param {any[]} [args]
 * @param {string[]} [frames]
 * @returns {Promise<any>}
 */
export function executeAtomAsync(this: import("../remote-debugger").RemoteDebugger, atom: string, args?: any[], frames?: string[]): Promise<any>;
/**
 * @this {RemoteDebugger}
 * @param {string} command
 * @param {boolean} [override]
 * @returns {Promise<any>}
 */
export function execute(this: import("../remote-debugger").RemoteDebugger, command: string, override?: boolean): Promise<any>;
/**
 * @this {RemoteDebugger}
 * @param {string} objectId
 * @param {any} fn
 * @param {any[]} [args]
 */
export function callFunction(this: import("../remote-debugger").RemoteDebugger, objectId: string, fn: any, args?: any[]): Promise<any>;
export type RemoteDebugger = import("../remote-debugger").RemoteDebugger;
//# sourceMappingURL=execute.d.ts.map