/**
 * Capture a rect of the page or by default the viewport
 * @this {RemoteDebugger}
 * @param {ScreenshotCaptureOptions} [opts={}]  if rect is null capture the whole
 * coordinate system else capture the rect in the given coordinateSystem
 * @returns {Promise<string>} a base64 encoded string of the screenshot
 */
export function captureScreenshot(this: import("../remote-debugger").RemoteDebugger, opts?: ScreenshotCaptureOptions): Promise<string>;
export type ScreenshotCaptureOptions = {
    rect?: import("@appium/types").Rect | null | undefined;
    coordinateSystem?: "Viewport" | "Page" | undefined;
};
export type RemoteDebugger = import("../remote-debugger").RemoteDebugger;
//# sourceMappingURL=screenshot.d.ts.map